> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post systemaccountssearch

> Search for accounts matching the given Criteria value.

*Note: This operation may only be performed by System Administrators.*

This operation requires an Account View Criteria value.

This operation returns an Account View Results value.



## OpenAPI

````yaml /tango_reserve/integrations/guides/aq-api.yaml post /system/accounts/search
openapi: 3.1.0
info:
  description: phoenix-restful
  version: '2.0'
  title: Reserve Rest API
servers:
  - url: /aq-api/
security: []
tags:
  - name: AccountService
    description: |-
      Account Service

      The Accounts service provides an interface for business customer accounts
      whose intent includes creating resources which may be reserved in a public
      or private space.
  - name: AnalyticsGatewayService
    description: |-
      Provides gateway interface into analytic reports generated from Phoenix
      data.
  - name: ApplicationService
    description: >-
      Application Service


      Provides operations for creating and managing external applications which
      may interact with

      the Agilquest Forums platform.
  - name: ApprovalsService
    description: Base class for RESTful services.
  - name: AvailabilityService
    description: >-
      Availability Service


      Exposes operations which provide availability information for Assets
      within Agilquest Forums.
  - name: CacheReadinessService
  - name: ChargeCodeService
    description: |-
      Charge Code Service

      The Charge Code Service provides the RESTful end points for interacting
      with Charge Codes in the Agilquest.
  - name: ForumService
    description: Base class for RESTful services.
  - name: LanguageService
    description: |-
      Provides a RESTful interface to the Language services for language
      tags and, language bundles, and language data for Agilquest.
  - name: LocaleService
    description: >-
      The Locale Service provides TimeZone and LanguageData information about
      the

      Agilquest.
  - name: LocationService
    description: |-
      The Location Service provides an interface for interacting with Locations
      and Locator Structures in the Agilquest.
  - name: LookupService
    description: |-
      The lookup service exposes the code table lookup functionality of the
      Agilquest.
  - name: PropertiesService
    description: Retrieves the properties associated with a given account.
  - name: ReservationEventViewsService
    description: >-
      The Reservation Event View Service provides views of Reservation events
      (ReservationGroup).
  - name: ReservationService
    description: |-
      The Reservation Service handles creating, changing, and retrieving
      reservations through the ReservationServiceBusiness interface.
  - name: ReservationViewsService
    description: |-
      The Reservation View Service provides views into the existing reservation
      information maintained by the Agilquest.
  - name: ResourceGroupService
    description: |-
      The Resource Group service provides an interface into manipulating
      the resource groups in the Agilquest.
  - name: ResourceService
    description: Base class for RESTful services.
  - name: ResourceViewsService
    description: |-
      The Resource Views service provides views into existing resources in
      the Agilquest.
  - name: ReviewsService
    description: Base class for RESTful services.
  - name: RoomConfigurationService
    description: Base class for RESTful services.
  - name: SplashPageService
    description: Base class for RESTful services.
  - name: SystemService
    description: System Service.
  - name: UserGroupService
    description: Base class for RESTful services.
  - name: UserService
    description: |-
      The User Service provides an interface for adding, editing, and removing
      users in the Agilquest.
  - name: UserViewsService
    description: |-
      The User Views service provides views into the existing User information
      maintained by the Agilquest.
  - name: VisitorService
    description: >-
      The Visitor Service provides an interface for adding, editing, and
      removing

      visitors in the Agilquest.
paths:
  /system/accounts/search:
    post:
      tags:
        - SystemService
      description: |-
        Search for accounts matching the given Criteria value.

        *Note: This operation may only be performed by System Administrators.*

        This operation requires an Account View Criteria value.

        This operation returns an Account View Results value.
      operationId: searchAccounts
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  activeOnly: true
                  nameSearchType: ExactMatch
                  sysidAccountType: 12345
                  sysidForums:
                    - 12345
                    - 12345
                  sysidAccounts:
                    - 12345
                    - 12345
                  sysidExcludeAccounts:
                    - 12345
                    - 12345
                  name: ...
                  sysidHomeForums:
                    - 12345
                    - 12345
                  startRow: 12345
                  maxRows: 12345
            schema:
              $ref: '#/components/schemas/AccountViewCriteria'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    hasAdditional: true
                    nextStartRow: 12345
                    views:
                      - sysidHomeForum: 12345
                        name: ...
                        sysidAccountType: 12345
                        schemaName: ...
                        sysidAccount: 12345
                        active: true
                      - sysidHomeForum: 12345
                        name: ...
                        sysidAccountType: 12345
                        schemaName: ...
                        sysidAccount: 12345
                        active: true
              schema:
                $ref: '#/components/schemas/AccountViewWrapper'
          description: AccountViewResults
components:
  schemas:
    AccountViewCriteria:
      type: object
      title: AccountViewCriteria
      required:
        - activeOnly
      allOf:
        - $ref: '#/components/schemas/CriteriaBase'
        - properties:
            activeOnly:
              type: boolean
            nameSearchType:
              $ref: '#/components/schemas/StringSearchType'
            sysidAccountType:
              type: integer
              format: int32
            sysidForums:
              type: array
              items:
                type: integer
            sysidAccounts:
              type: array
              items:
                type: integer
            sysidExcludeAccounts:
              type: array
              items:
                type: integer
            name:
              type: string
            sysidHomeForums:
              type: array
              items:
                type: integer
      example:
        activeOnly: true
        nameSearchType: BeginsWith
        sysidAccountType: 12345
        sysidForums:
          - 12345
          - 12345
        sysidAccounts:
          - 12345
          - 12345
        sysidExcludeAccounts:
          - 12345
          - 12345
        name: ...
        sysidHomeForums:
          - 12345
          - 12345
        startRow: 12345
        maxRows: 12345
    AccountViewWrapper:
      type: object
      title: AccountViewWrapper
      required:
        - hasAdditional
        - nextStartRow
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            hasAdditional:
              type: boolean
            nextStartRow:
              type: integer
              format: int32
            views:
              type: array
              items:
                $ref: '#/components/schemas/AccountView'
      example:
        hasAdditional: true
        nextStartRow: 12345
        views:
          - sysidHomeForum: 12345
            name: ...
            sysidAccountType: 12345
            schemaName: ...
            sysidAccount: 12345
            active: true
          - sysidHomeForum: 12345
            name: ...
            sysidAccountType: 12345
            schemaName: ...
            sysidAccount: 12345
            active: true
    CriteriaBase:
      type: object
      title: CriteriaBase
      required:
        - startRow
        - maxRows
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            startRow:
              type: integer
              format: int32
            maxRows:
              type: integer
              format: int32
      example:
        startRow: 12345
        maxRows: 12345
    StringSearchType:
      type: string
      title: StringSearchType
      enum:
        - ExactMatch
        - BeginsWith
        - Contains
    DependentData:
      type: object
      title: DependentData
      example: {}
    AccountView:
      type: object
      title: AccountView
      required:
        - sysidAccountType
        - active
      allOf:
        - $ref: '#/components/schemas/ViewBase'
        - properties:
            sysidHomeForum:
              type: integer
              format: int32
            name:
              type: string
            sysidAccountType:
              type: integer
              format: int32
            schemaName:
              type: string
            sysidAccount:
              type: integer
              format: int32
            active:
              type: boolean
      example:
        sysidHomeForum: 12345
        name: ...
        sysidAccountType: 12345
        schemaName: ...
        sysidAccount: 12345
        active: true
    ViewBase:
      type: object
      title: ViewBase
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - {}
      example: {}

````